import { DomainEvent, DomainEventProps } from '@mobicoop/ddd-library';

export class MatcherAdCreatedDomainEvent extends DomainEvent {
  readonly driverDuration?: number;
  readonly driverDistance?: number;
  readonly passengerDuration?: number;
  readonly passengerDistance?: number;
  readonly fwdAzimuth: number;
  readonly backAzimuth: number;

  constructor(props: DomainEventProps<MatcherAdCreatedDomainEvent>) {
    super(props);
    this.driverDuration = props.driverDuration;
    this.driverDistance = props.driverDistance;
    this.passengerDuration = props.passengerDuration;
    this.passengerDistance = props.passengerDistance;
    this.fwdAzimuth = props.fwdAzimuth;
    this.backAzimuth = props.backAzimuth;
  }
}
